eu.smoser.dungeongenerator.dungeon.objects

## Class Special

- java.lang.Object
- - eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject
  - - eu.smoser.dungeongenerator.dungeon.objects.Special

    public class Special
    extends ADungeonObject

This holds information about a special phenomenon

### Field Summary

### Fields inherited from class eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject

`descString`

### Constructor Summary

Constructors
Constructor and Description
`Special(Dungeon.Type type)` Constructs a new random special phenomenon in a given type of room

### Method Summary

### Methods inherited from class eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Special

    public Special(Dungeon.Type type)

Constructs a new random special phenomenon in a given type of room

Parameters:
  `type` - type of environment